Evidenziare I'app attiva
11/25/2016 12:57 PM - Enrico Zini

Status: Chiuso Start date: 11/25/2016
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Servirebbe trovare un modo per cui OctonetView passi al template il nome dell'app attiva, cosi che possa essere evidenziata

Associated revisions

Revision 7d126212 - 11/25/2016 01:07 PM - Enrico Zini

Set request.current_app in hostqueue app. Fixes #90

Revision a1768749 - 11/25/2016 01:46 PM - Enrico Zini

Removed need of custom mixin. refs: #90

Revision 96fe6b9e - 11/25/2016 01:47 PM - Enrico Zini

Removed need for custom mixins. Refs: #90

History

#1 - 11/25/2016 01:06 PM - Christopher R. Gabriel

suggerisco di dare un occhio a lineage (reach/lineage/templatetags) che serve esattamente allo scopo, basato sull'url.
#2 - 11/25/2016 01:08 PM - Anonymous

- Status changed from Nuovo to Risolto

- % Done changed from 0 to 100

Applicata nel changeset 7d12621254aa0641d787a3d8a673ac20de743fc5.

#3 - 11/25/2016 01:15 PM - Enrico Zini

- Assignee changed from Enrico Zini to Mark Caglienzi

Ho pushato su master il setting di request.current_app, che stando a https:/docs.djangoproject.com/en/1.8/topics/http/urls/ € una cosa standard.

L'ho aggiunto a hostqueue con un piccolo mixin, le altre app possono fare la stessa cosa.

Lineage non I'ho guardato. Lascerei la scelta a mark, che & poi quello che usa l'informazione nel base template.

#4 - 11/25/2016 01:39 PM - Enrico Zini

- Assignee changed from Mark Caglienzi to Enrico Zini

#5 - 11/25/2016 01:47 PM - Enrico Zini

- Status changed from Risolto to Commenti
Ho trovato request.resolver_match che pud dare informazioni sull'app_name, e ho messo il setting di current_app in OctonetMixin, cosi non c'é pil
bisogno di mixin specifici per ogni app.

#6 - 11/25/2016 05:12 PM - Mark Caglienzi

In master c¢'é la funzionalita di evidenziazione dell'app attiva.
Funziona via javascript perché serve un click per aprire il sottomenu (gruppo) che contiene I'app attiva.

Funziona su desktop, funziona "circa" su mobile, perché se la sidebar € nascosta il trigger del click non funziona, e quando si va ad aprire il menu con
il tasto hamburger poi il sottomenu (nel nostro caso di esempio attuale "Network") resta chiuso. Ma se poi si apre, l'app & correttamente evidenziata.

#7 - 11/28/2016 11:32 AM - Enrico Zini

Ho provato un po', e funziona tutto.
Mi & sembrato fastidioso che il mend network si chiuda appena clicco su una sua voce, o appena perde il focus (tipo se clicco altrove nella pagina).

Ho guardato a sidebar.css e ho visto che di fatto € implementato riorganizzando la navbar di bootstrap, nella quale i sottomenu sono dei popup e son
fatti giustamente per chiudersi appena uno ci clicca o clicca altrove.

Ho trovato http:/stackoverflow.com/questions/29787358/keep-bootstrap-dropdown-open-in-navbar-no-matter-what#29787591 che suggerisce di
copincollare il pezzo di css di bootstrap che gestisce il sottomenu con classe open in un css per la classe stay-open, e assegnato stay-open al menu
attivo.

Ora il sottomenu della sidebar che contiene I'app attiva rimane aperto.

#8 - 11/28/2016 11:35 AM - Enrico Zini

- Status changed from Commenti to Chiuso

Fatto in 9ab310a1369b25115edbe28263e40ed54ea09d05
